Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598237 - [abrt] crash in compiz-0.8.6-1.fc13 "compiz: nouveau_surface.c:61: nouveau_surface_alloc: Assertion `!ret' failed.\n" Process /usr/bin/compiz was killed by signal 6 (SIGABRT)
[abrt] crash in compiz-0.8.6-1.fc13 "compiz: nouveau_surface.c:61: nouveau_su...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:1e0fd5945d055dcfce8e029995d...
:
: 598007 598008 598009 598010 598012 598014 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 17:07 EDT by loverdo
Modified: 2011-06-27 13:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.71 KB, text/plain)
2010-05-31 17:07 EDT, loverdo
no flags Details

  None (edit)
Description loverdo 2010-05-31 17:07:03 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: compiz --ignore-desktop-hints ccp --replace
component: compiz
crash_function: raise
executable: /usr/bin/compiz
global_uuid: 1e0fd5945d055dcfce8e029995df7849af382f69
kernel: 2.6.33.5-112.fc13.i686
package: compiz-0.8.6-1.fc13
rating: 4
reason: Process /usr/bin/compiz was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 loverdo 2010-05-31 17:07:09 EDT
Created attachment 418392 [details]
File: backtrace
Comment 2 Hamidou Dia 2010-09-30 16:28:58 EDT
Hi Loverdo,

Thanks for reporting this issue.

It looks like a nouveau bug triggered by compiz.

I am reassigning to the correct maintainers.

Please feel free to comment whether or not your are still facing the same issue
on a fully updated system.

Has well, it looks like you are the only one reported for this crasher.
We would be interested in know how you were able to produce it (if not a "random" crash).

As well, you are still able to reproduce this issue, could you kindly provide:


* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

-----------------------------------


#3  0x00396de8 in __assert_fail (assertion=0x6d232a "!ret", 
    file=0x6d26f6 "nouveau_surface.c", line=61, 
    function=0x6d2708 "nouveau_surface_alloc") at assert.c:81
        buf = 0x9906778 "compiz: nouveau_surface.c:61: nouveau_surface_alloc: Assertion `!ret' failed.\n"
#4  0x00581847 in nouveau_surface_alloc (ctx=0x92ebbd8, s=0x9895284, 
    layout=LINEAR, flags=18, format=5, width=0, height=0)
    at nouveau_surface.c:61
        tile_mode = <value optimized out>
        cpp = 4
        ret = <value optimized out>
        __PRETTY_FUNCTION__ = "nouveau_surface_alloc"
#5  0x00581200 in nouveau_teximage (ctx=0x92ebbd8, dims=2, target=34037, 
    level=0, internalFormat=6407, width=0, height=0, depth=1, border=0, 
    format=6407, type=5121, pixels=0x0, packing=0x92fa958, t=0x99063d0, 
    ti=0x9895220) at nouveau_texture.c:344
        s = 0x9895284
        ret = <value optimized out>
        __PRETTY_FUNCTION__ = "nouveau_teximage"
#6  0x005dcc81 in _mesa_TexImage2D (target=34037, level=0, 
    internalFormat=6407, width=0, height=0, border=0, format=6407, type=5121, 
    pixels=0x0) at main/teximage.c:2278
        texObj = 0x99063d0
        texImage = <value optimized out>
        face = 0
        postConvWidth = 0
        postConvHeight = 0
        ctx = 0x92ebbd8
#7  0x07d0b307 in glTexImage2D (target=34037, level=0, internalformat=6407, 
    width=0, height=0, border=0, format=6407, type=5


-----------------------------------------

Thanks in advance.

Hamidou Dia



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Hamidou Dia 2010-09-30 16:29:30 EDT
*** Bug 598014 has been marked as a duplicate of this bug. ***
Comment 4 Hamidou Dia 2010-09-30 16:29:41 EDT
*** Bug 598012 has been marked as a duplicate of this bug. ***
Comment 5 Hamidou Dia 2010-09-30 16:30:27 EDT
*** Bug 598010 has been marked as a duplicate of this bug. ***
Comment 6 Hamidou Dia 2010-09-30 16:30:40 EDT
*** Bug 598009 has been marked as a duplicate of this bug. ***
Comment 7 Hamidou Dia 2010-09-30 16:31:16 EDT
*** Bug 598008 has been marked as a duplicate of this bug. ***
Comment 8 Hamidou Dia 2010-09-30 16:31:26 EDT
*** Bug 598007 has been marked as a duplicate of this bug. ***
Comment 9 Bug Zapper 2011-06-02 08:35:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 13:12:23 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.